# Phoityne

Phoityne is a ghci debug viewer with simple editor.
(on Windows)

## Install


### Setup GTK3
Download the all in package of gtk from [here](http://win32builder.gnome.org/ "GTK3").
Extract it and set path to bin and lib folder, set install directory to prefix of  lib/pkgconfig/*.pc files.


### Start stack project

    % stack new project
      . . . . .
    %
    % cd project
    % stack install phoityne
      . . . . .
    %
    % C:\Users\username\AppData\Roaming\local\bin\phoityne.exe
    %

## Keyboard shortcuts


### Build, Debug
* F5 : start debug / jump to next break point
* Shift+F5 : end debug
* F7 : build
* Shift+F7 : rebuild (stack clean; stack build)
* F9 : put on/off break point
* F10 : step over
* F11 : step in

### File, Search
* Ctrl+S : save all
* Ctrl+F : search
* F3 : jump to next search result
* Ctrl+R : replace

### Folder Tree
* Left :  collapse folder
* Right :  expand folder
* Up :  go up
* Down :  go down


## Demo Videos

### Demo Video1
[![Demo Video1](http://img.youtube.com/vi/MKMEgb0sFsI/0.jpg)](https://www.youtube.com/watch?v=MKMEgb0sFsI)

### Demo Video2
[![Demo Video2](http://img.youtube.com/vi/T10wWCmWHaA/0.jpg)](https://www.youtube.com/watch?v=T10wWCmWHaA)


## Document
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド1.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド2.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド3.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド4.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド5.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド6.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド7.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド8.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド9.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド10.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド11.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド12.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド13.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド14.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド15.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド16.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド17.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド18.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド19.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド20.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド21.PNG)
![Document](https://sites.google.com/site/phoityne/doc_jp/スライド22.PNG)

